package cn.jyjz.flowable.config;

import cn.jyjz.flowable.common.SystemConstantsOa;
import cn.jyjz.xiaoyao.admin.dataobject.Distionary;
import cn.jyjz.xiaoyao.admin.dataobject.Oauthuser;
import cn.jyjz.xiaoyao.admin.service.DistionaryService;
import cn.jyjz.xiaoyao.admin.service.OauthuserService;
import cn.jyjz.xiaoyao.common.base.language.SystemMessage;
import cn.jyjz.xiaoyao.oa.from.dataobject.Category;
import cn.jyjz.xiaoyao.oa.from.service.CategoryService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;
import org.flowable.common.engine.api.delegate.event.*;
import org.flowable.engine.RepositoryService;
import org.flowable.engine.TaskService;
import org.flowable.engine.delegate.event.AbstractFlowableEngineEventListener;
import org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl;
import org.flowable.engine.delegate.event.impl.FlowableEntityWithVariablesEventImpl;
import org.flowable.engine.delegate.event.impl.FlowableProcessCancelledEventImpl;
import org.flowable.engine.impl.persistence.entity.ExecutionEntityImpl;
import org.flowable.engine.impl.persistence.entity.ProcessDefinitionEntity;
import org.flowable.engine.impl.persistence.entity.ResourceEntity;
import org.flowable.identitylink.api.IdentityLink;
import org.flowable.task.service.impl.persistence.entity.TaskEntity;
import org.flowable.task.service.impl.persistence.entity.TaskEntityImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class GlobalTaskCompletedListener implements FlowableEventListener{
    
    @Autowired
    private TaskService taskService;
//    @Autowired
//    private SendMessageService sendMessageService;
//    @Autowired
//    private QyWeixinService qyWeixinService;
    
    @Autowired
    private OauthuserService oauthuserService;
    
    @Autowired
    private DistionaryService distionaryService;
    @Override
    public void onEvent(FlowableEvent event) {
        String eventName = event.getType().name();
    
        FlowableEntityEventImpl flowableEntityEvent = (FlowableEntityEventImpl) event;
        Object object = flowableEntityEvent.getEntity();
//        if( object instanceof TaskEntityImpl){
//            TaskEntityImpl taskEntity = (TaskEntityImpl) flowableEntityEvent.getEntity();
//
//            List<IdentityLink> idList = taskService.getIdentityLinksForTask(taskEntity.getId());
//            if (CollectionUtils.isEmpty(idList)) {
//                return;
//            }
//            List<String> userNameList = new ArrayList<>();
//            // 获取接收人，此处从Identity获取，实际情况会更复杂
//            idList.forEach(identityLink -> {
//                if (StringUtils.isNotBlank(identityLink.getUserId())) {
//                    userNameList.add(identityLink.getUserId());
//                }
//            });
//            for(String loginname:userNameList){
//                //查询用户所在的agentId，存放在S_OAUTHUSER_T表中
//                Oauthuser oauthuser = oauthuserService.selectByUserLoginname(loginname, CacheQyweixinConstants.QY_WEIXIN_MODEL);
//
//                if(StringUtils.isNotBlank(oauthuser.getAgentid())){
//                    QyWeixin qyWeixin =  qyWeixinService.selectByAgentId(oauthuser.getAgentid());
//                    if(null != qyWeixin){
//
//                        Integer agentid = Integer.parseInt(qyWeixin.getAgentid());
//                        Distionary distionary = distionaryService.selectByCodeno(CacheQyweixinConstants.OA_DISTIONARY_TYPE_MSG_SHENPI,CacheQyweixinConstants.OA_DISTIONARY_TYPE_MSG);
//                        if(null != distionary){
//                            sendMessageService.sendMessage(agentid,oauthuser.getOauthid(), SystemMessage.SYS_MESSAGE_NAME,taskEntity.getName() + SystemMessage.SYS_OA_TO_DO,qyWeixin.getOtherurl() + distionary.getContent() + "?processInstanceId=" + taskEntity.getProcessInstanceId() + "&taskId=" + taskEntity.getId());
//                        }
//
//                    }
//                }
//
//            }
//
//        }
    }
    
    @Override
    public boolean isFailOnException() {
        return false;
    }
    
    @Override
    public boolean isFireOnTransactionLifecycleEvent() {
        return false;
    }
    
    @Override
    public String getOnTransaction() {
        return null;
    }
}
