package cn.jyjz.flowable.config;

import java.security.Principal;

import org.flowable.common.engine.api.identity.AuthenticationContext;
import org.flowable.ui.common.security.SecurityUtils;
import org.springframework.context.annotation.Configuration;

/**
 * Default implementation of the {@link AuthenticationContext} that uses a {@link ThreadLocal} that stores the {@link Principal}
 *
 * @author Filip Hrisafov
 */
@Configuration
public class MyAuthenticationContext implements AuthenticationContext {


    @Override
    public String getAuthenticatedUserId() {
        String cuid = SecurityUtils.getCurrentUserId();
        return cuid;
    }

    @Override
    public Principal getPrincipal() {
        return null;
    }

    @Override
    public void setPrincipal(Principal principal) {

    }
}

