package cn.jyjz.flowable.convert.flowableui;//package cn.jyjz.flowable.convert.flowableui;
//
//
//import cn.jyjz.flowable.common.FormFieldTypeConstant;
//import cn.jyjz.flowable.convert.JSONConvertHtml;
//import cn.jyjz.flowable.domain.form.FormField;
//import cn.jyjz.flowable.domain.form.FormObject;
//import cn.jyjz.flowable.domain.form.Options;
//import cn.jyjz.flowable.domain.form.OutCome;
//import com.alibaba.fastjson.JSON;
//import com.baomidou.mybatisplus.core.toolkit.StringUtils;
//
//
//import java.util.List;
//
//public class FlowableUIJSONConvertHtml implements JSONConvertHtml {
//
//
//    /**
//     * 实现FlowableUI的表单对应的JSON数据转换为html元素
//     * @param json
//     * @return
//     */
//    @Override
//    public String convertHtml(String json) {
//        return this.convertHtml(json,"#");
//    }
//
//    @Override
//    public String convertHtml(String json, String formUrl) {
//        if(StringUtils.isNotBlank(json)){
//            StringBuilder sb = new StringBuilder();
//            sb.append("<div class=\"modal-dialog\" role=\"document\">");
//            sb.append("<div class=\"modal-content\">");
//            sb.append("<div class=\"modal-header\">");
//            sb.append("<button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\"><span aria-hidden=\"true\">&times;</span></button>");
//
//            // json 字符串转换为对应的Java对象
//            try {
//                FormObject formObject = JSON.parseObject(json, FormObject.class);
//                // 获取到所有的表单域
//                List<FormField> fields = formObject.getFields();
//                String formTitle = getFormTitle(fields);
//                sb.append("<h4 class=\"modal-title\" id=\"exampleModalLabel\">"+formTitle+"</h4>");
//                sb.append("</div>");
//                sb.append("<form action="+formUrl+" id=\"formId\" method=\"post\" >");
//                String filedsHtml = generatorFieldHtml(fields);
//                if(StringUtils.isNotBlank(filedsHtml)){
//                    sb.append(filedsHtml);
//                }
//                // 获取到对应的审批按钮
//                List<OutCome> outcomes = formObject.getOutcomes();
//                String outComesHtml = generatorOutComeHtml(outcomes);
//                if(StringUtils.isNotBlank(outComesHtml)){
//                    sb.append(outComesHtml);
//                }
//
//            }catch (Exception e){
//                e.printStackTrace();
//            }
//            sb.append("</form>");
//            sb.append("</div>");
//            sb.append("</div>");
//            return sb.toString();
//        }
//        return null;
//    }
//
//    private String getFormTitle(List<FormField> fields) {
//        if(fields != null && fields.size() > 0){
//            for (FormField field : fields) {
//                if(FormFieldTypeConstant.HEADLINE.equals(field.getType())){
//                    return field.getName();
//                }
//            }
//        }
//        return "";
//    }
//
//    /**
//     * 生成对应的操作按钮的html信息
//     * @param outcomes
//     * @return
//     */
//    private String generatorOutComeHtml(List<OutCome> outcomes) {
//        if(outcomes != null && outcomes.size() > 0){
//            StringBuilder sb = new StringBuilder();
//            sb.append("<div class=\"modal-footer\">");
//            for (OutCome outcome : outcomes) {
//                sb.append("<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">"+outcome.getName()+"</button>");
//            }
//            sb.append("</div>");
//            return sb.toString();
//        }
//        return null;
//    }
//
//    /**
//     * 生成对应的表单域的html信息
//     * @param fields
//     * @return
//     */
//    private String generatorFieldHtml(List<FormField> fields) {
//        if(fields != null && fields.size() > 0){
//            StringBuilder sb = new StringBuilder();
//            sb.append("<div class=\"modal-body\">");
//            int i = 0;
//            String labelFor = "flow-"+ i;
//            for (FormField field : fields) {
//                String fieldType = field.getFieldType();
//                String type = field.getType();
//
//                if(StringUtils.isBlank(field.getPlaceholder())){
//                    field.setPlaceholder("''");
//                }
//                if(FormFieldTypeConstant.HEADLINE.equals(type)){
//                    continue;
//                }else if(FormFieldTypeConstant.DROPDOWN.equals(type)){
//                    sb.append("<div class=\"form-group\">");
//                    sb.append("<label for='"+labelFor+"' class=\"control-label\">"+field.getName()+":</label>");
//                    // 下拉菜单
//                    sb.append("<select class=\"form-control m-b\" name="+field.getId()+" id='\"+labelFor+\"'>");
//                    List<Options> options = field.getOptions();
//                    if(options != null && options.size() > 0){
//                        // 说明有下拉菜单项
//                        for (Options option : options) {
//                            String optionId = option.getId();
//                            if(StringUtils.isNotBlank(optionId)){
//                                sb.append("<option value="+optionId+">"+option.getName()+"</option>");
//                            }else{
//                                sb.append("<option value="+option.getName()+">"+option.getName()+"</option>");
//                            }
//                        }
//                    }
//                    sb.append("</select>");
//                    sb.append("</div>");
//                }else if(FormFieldTypeConstant.RADIO_BUTTONS.equals(type)){
//                    // 单选按钮
//                    sb.append("<div class=\"form-group\">");
//                    sb.append("<label for='"+labelFor+"' class=\"control-label\">"+field.getName()+":</label>");
//                    sb.append("<div id = "+labelFor+">");
//                    List<Options> options = field.getOptions();
//                    if(options!=null && options.size() > 0){
//                        for (Options option : options) {
//                            sb.append("<label class=\"radio-inline\"> <input type=\"radio\" value="+option.getName()+" name="+option.getId()+" >"+option.getName()+"</label>");
//                        }
//                    }
//                    sb.append("</div>");
//                    sb.append("</label>");
//                    sb.append("</div>");
//
//                }else if(FormFieldTypeConstant.BOOLEAN.equals(type)){
//                    // 说明是复选框 TODO
//                    continue;
//                } else{
//
//                    sb.append("<div class=\"form-group\">");
//                    sb.append("<label for='"+labelFor+"' class=\"control-label\">"+field.getName()+":</label>");
//                    sb.append("<input type='"+getInputType(type)+"' name='"+field.getId()+"' value="+field.getPlaceholder()+" class=\"form-control\" id='"+labelFor+"'>");
//                    sb.append("</div>");
//
//                }
//
//            }
//            sb.append("</div>");
//            i ++;
//            return sb.toString();
//        }
//        return null;
//    }
//
//    private String getInputType(String type) {
//        if(FormFieldTypeConstant.INTEGER.equals(type)){
//            return "number";
//        }else if(FormFieldTypeConstant.PASSWORD.equals(type)){
//            return "password";
//        }else if(FormFieldTypeConstant.DATE.equals(type)){
//            return "date";
//        }else if(FormFieldTypeConstant.UPLOAD.equals(type)){
//            return "file";
//        }
//        return "text";
//    }
//}
