package cn.jyjz.flowable.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 流程定义后保存相关信息的对象
 *
 */
@Data
public class FlowDeployProcDto {
    // 流程定义ID
    private String  id;
    // 流程名称
    private String  name;

    // 流程key
    private String flowKey;

    // 流程分类
    private String category;

    // 租户编号
    private String tenantId;

    // 部署编号
    private String deployId;

    // 部署的时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date deployDate;

    // 是否挂起 1正常 2挂起
    private Integer suspensionState;

    // 描述信息
    private String description;

    // 对应的版本
    private int version;

    // 配置的表单名称
    private String formName;

    private String formId;

}
