package cn.jyjz.flowable.domain.form;

import lombok.Data;

import java.util.List;

/**
 * Form表单中的具体的表单域
 *
 */
@Data
public class FormField {
    private String fieldType;
    private String id;
    private String name;
    private String type;
    private String value;
    private boolean required;
    private boolean readOnly;
    private boolean overrideId;
    private String placeholder;
    private String layout;
    private String optionType;
    private String hasEmptyValue;
    private List<Options> options;
    private String optionsExpression;
}
