package cn.jyjz.flowable.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
@TableName("act_fo_form_definition")
public class FormDefinition implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    @TableId("id_")
    private String id;
    
    @TableField("name_")
    private String name;
    @TableField("version_")
    private Integer version;
    @TableField("key_")
    private String key;
    @TableField("category_")
    private String category;
    @TableField("deployment_id_")
    private String deploymentId;
    @TableField("tenant_id_")
    private String tenantId;
    @TableField("resource_name_")
    private String resourceName;
    @TableField("description_")
    private String description;
    
    public String getId() {
        return id;
    }
    
    public void setId(String id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    public Integer getVersion() {
        return version;
    }
    
    public void setVersion(Integer version) {
        this.version = version;
    }
    public String getKey() {
        return key;
    }
    
    public void setKey(String key) {
        this.key = key;
    }
    public String getCategory() {
        return category;
    }
    
    public void setCategory(String category) {
        this.category = category;
    }
    public String getDeploymentId() {
        return deploymentId;
    }
    
    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }
    public String getTenantId() {
        return tenantId;
    }
    
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
    public String getResourceName() {
        return resourceName;
    }
    
    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    @Override
    public String toString() {
        return "FormDefinition{" +
                "id=" + id +
                ", name=" + name +
                ", version=" + version +
                ", key=" + key +
                ", category=" + category +
                ", deploymentId=" + deploymentId +
                ", tenantId=" + tenantId +
                ", resourceName=" + resourceName +
                ", description=" + description +
                "}";
    }
}