package cn.jyjz.flowable.entity;

import cn.jyjz.xiaoyao.common.mybatisplus.dto.BaseDto;
import cn.jyjz.xiaoyao.common.base.util.requestFormat.SearchQuery;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.Map;
import java.util.AbstractMap.SimpleEntry;
import java.util.stream.Stream;
import java.util.stream.Collectors;
 
 

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "act_re_deployment", title = "act_re_deployment")
@TableName(value = "ACT_RE_DEPLOYMENT")
public class ReDeployment implements java.io.Serializable {

	private static final long serialVersionUID = -6047653324354494467L;
	
	@TableId(value="ID_")
	private String id;
	
	@TableField(value="NAME_")
	private String name;
	
	@TableField(value="CATEGORY_")
	private String category;
	
	@TableField(value="KEY_")
	private String key;
	
	@TableField(value="TENANT_ID_")
	private String tenantId;
	
	@TableField(value="DEPLOY_TIME_")
	private java.util.Date deployTime;
	
	@TableField(value="DERIVED_FROM_")
	private String derivedFrom;
	
	@TableField(value="DERIVED_FROM_ROOT_")
	private String derivedFromRoot;
	
	@TableField(value="PARENT_DEPLOYMENT_ID_")
	private String parentDeploymentId;
	
	@TableField(value="ENGINE_VERSION_")
	private String engineVersion;
	
	
}
