package cn.jyjz.flowable.factory;

import lombok.Data;
import org.flowable.engine.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 常用的Service
 *    ProcessEngine
 *    RepositoryService
 *    RuntimeService
 *    TaskService
 *    .....
 */
@Component
@Data
public class FlowServiceFactory {

    @Resource
    protected ProcessEngine processEngine;
    @Resource
    protected RepositoryService repositoryService;
    @Resource
    protected RuntimeService runtimeService;
    @Resource
    protected TaskService taskService;
    @Resource
    protected IdentityService identityService;
    @Resource
    protected ManagementService managementService;
    @Resource
    protected HistoryService historyService;


}
