package cn.jyjz.flowable.service.impl;

import cn.jyjz.flowable.entity.FormDefinition;
import cn.jyjz.flowable.mapper.FormDefinitionMapper;
import cn.jyjz.flowable.service.IFormDefinitionService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wanshu
 * @since 2022-08-04
 */
@Service
public class FormDefinitionServiceImpl extends ServiceImpl<FormDefinitionMapper, FormDefinition> implements IFormDefinitionService {

    @Override
    public List<FormDefinition> list(FormDefinition formDefinition) {
        QueryWrapper<FormDefinition> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(formDefinition.getKey()),"key_",formDefinition.getKey());
        return this.list(wrapper);
    }
}
