package cn.jyjz.flowable.service.impl;

import cn.jyjz.flowable.entity.FormDefinition;
import cn.jyjz.flowable.entity.ReDeployment;
import cn.jyjz.flowable.mapper.FormDefinitionMapper;
import cn.jyjz.flowable.mapper.ReDeploymentMapper;
import cn.jyjz.flowable.service.IFormDefinitionService;
import cn.jyjz.flowable.service.IReDeploymentService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 */
@Service
public class ReDeploymentServiceImpl extends ServiceImpl<ReDeploymentMapper, ReDeployment> implements IReDeploymentService {

    @Override
    public boolean updateDeploymentCategory(String departmentid,String category) {
    
        ReDeployment reDeployment = this.getById(departmentid);
        
        if(StringUtils.isNotBlank(category)){
            reDeployment.setCategory(category);
            return this.updateById(reDeployment);
        }
        
        return false;
    }
}
