package cn.jyjz.xiaoyao.oa.from.controller;

import cn.jyjz.xiaoyao.admin.service.UserService;
import cn.jyjz.xiaoyao.common.base.controller.BaseController;
import cn.jyjz.xiaoyao.common.base.service.UserTokenService;
import cn.jyjz.xiaoyao.oa.from.service.UserdistionaryService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


@Controller
@RequestMapping("/backstage/oa/userdistionaryHtml")
public class UserdistionaryHtmlController extends BaseController{

	private Logger log = LoggerFactory.getLogger(this.getClass());

	@Autowired
	private UserdistionaryService userdistionaryService;

	@Autowired
	private UserTokenService userTokenService;
	@Autowired
	private UserService userService;
	/**
	*方法描述：跳转到列表页面
	*创建人：mail.zhangyong@gmail.com
	*创建时间：2023-04-19 14:41:09
	**/
	@GetMapping("/toList")
	public String toListUserdistionary(HttpServletResponse response,HttpServletRequest request){
		String resourceid = request.getParameter("resourceid");
		request.setAttribute("resourceid",resourceid);
		//backstage/oa/userdis/list
		return "/backstage/oa/userdis/list";
	}

	/**
	*方法描述：跳转到保存页面
	*创建人：mail.zhangyong@gmail.com
	*创建时间：2023-04-19 14:41:09
	**/
	@GetMapping("/toSave")
	public String toSaveUserdistionary(HttpServletResponse response,HttpServletRequest request){
		String resourceid = request.getParameter("resourceid");
		request.setAttribute("resourceid",resourceid);
		return "/backstage/oa/userdis/add";
	}
	/**
	 *方法描述：跳转到保存页面
	 *创建人：mail.zhangyong@gmail.com
	 *创建时间：2023-04-19 14:41:09
	 **/
	@GetMapping("/tolinkdept")
	public String tolink(HttpServletResponse response,HttpServletRequest request){
		//当前关联角色主键，多个使用英文逗号分隔
		//candidateid
		//当前设置用户姓名
		//username
		//用户类型，后勤、前端
		//usertype
		//OA_USERDISTIONARY_T 已经关联的，人员关系表主键
		//userdistionaryid
		String candidateid = request.getParameter("candidateid");
		String username = request.getParameter("username");
		String usertype = request.getParameter("usertype");
		String userdistionaryid = request.getParameter("userdistionaryid");
		String userid = request.getParameter("userid");
		
		request.setAttribute("candidateid",candidateid);
		request.setAttribute("username",username);
		request.setAttribute("usertype",usertype);
		request.setAttribute("userdistionaryid",userdistionaryid);
		request.setAttribute("userid",userid);
		return "/backstage/oa/userdis/linkdept";
	}
}
