package cn.jyjz.xiaoyao.oa.from.service;

import java.util.List;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseService;
import cn.jyjz.xiaoyao.oa.from.dataobject.UserViewapproe;

/**
* 业务层
*/
public interface UserViewapproeService extends BaseService<UserViewapproe>  {
    /**
     * 保存用户需要提醒的审批信息主键
     * @param loginname 登录账号
     * @param fromid 审批表单主键
     * @return
     */
    boolean saveUserViewApproe(String loginname,String fromid);
    
    /**
     * 保存用户需要提醒的审批信息主键
     * @param loginname 登录账号
     * @param fromid 审批表单主键
     * @return
     */
    boolean saveUserViewApproe(String loginname,String fromid,String tenantid);
    
    /**
     * 根据流程主键，移除未读提醒
     * @param fromid
     * @return
     */
    boolean removeByFromid(String fromid);
    
    /**
     * 根据流程主键，判断是否存在未读的待审批信息
     * @param fromid
     * @return 存在返回true，否则返回false
     */
    boolean haveByFromid(String fromid);
}
