package cn.jyjz.xiaoyao.oa.from.service.impl;

import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import cn.jyjz.xiaoyao.oa.from.dataDao.UserapproveMybatisDao;
import cn.jyjz.xiaoyao.oa.from.dataobject.Userapprove;
import cn.jyjz.xiaoyao.oa.from.service.UserapproveService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* 业务层实现
*/
@Service
@Slf4j
public class UserapproveServiceImpl extends BaseServiceImpl<UserapproveMybatisDao, Userapprove>  implements UserapproveService {
	@Autowired
	private UserapproveMybatisDao userapprovemybatisdao;

	@Override
	public boolean save(String userid, String formid) {
		
		Userapprove userapprove = new Userapprove();
		userapprove.setUserid(Long.parseLong(userid));
		userapprove.setFormid(Long.parseLong(formid));

		return this.save(userapprove);
	}
	
	@Override
	public boolean delete(String formid) {
		
		QueryWrapper queryWrapper = new QueryWrapper();
		queryWrapper.eq("FORMID",formid);
		
		return this.remove(queryWrapper);
	}
}
