package cn.jyjz.xiaoyao.ocr.dataDao;

import cn.jyjz.xiaoyao.ocr.dataobject.OcrPicturejob;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* 数据持久化
*/
@Mapper
public interface OcrPicturejobMybatisDao extends BaseMapper<OcrPicturejob> {
    /**
     * 通过主表id删除子表数据
     *
     * @param mainId 主表id
     * @return boolean
     */
    public boolean deleteByMainId(@Param("mainId") String mainId);
    
    /**
     * 通过主表id查询子表数据
     *
     * @param mainId 主表id
     * @return List<OcrPicturejob>
     */
    public List<OcrPicturejob> selectByMainId(@Param("mainId") String mainId);
}
