package cn.jyjz.xiaoyao.ocr.service;

import java.util.List;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseService;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrConfiguration;

/**
* 业务层
*/
public interface OcrConfigurationService extends BaseService<OcrConfiguration>  {
    /**
     * 获取配置信息
     * @return
     */
    OcrConfiguration getConfiguration();
    
    /**
     * 获取配置信息，增加个性化配置
     * 如果出现后台关闭，个性化配置存在的情况，以后后台配置为准
     * @return
     */
    OcrConfiguration getConfiguration(String loginadmin,String tenantId);
}
