package cn.jyjz.xiaoyao.ocr.service;

import java.util.List;

import cn.jyjz.xiaoyao.common.base.vo.UserToken;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseService;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrPackagetask;

/**
* 业务层
*/
public interface OcrPackagetaskService extends BaseService<OcrPackagetask>  {
    
    /**
     * 创建任务包
     * @param name 任务包名称
     * @param tenantId 租户主键
     * @param sysUser 当前登录用户
     * @return
     */
    OcrPackagetask create(String name, String tenantId, UserToken sysUser);
}
