package cn.jyjz.xiaoyao.ocr.service;

import java.util.List;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseService;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrPictureNotes;
import org.apache.ibatis.annotations.Param;

/**
* 业务层
*/
public interface OcrPictureNotesService extends BaseService<OcrPictureNotes>  {
    /**
     * 通过主表id删除子表数据
     *
     * @param mainId 主表id
     * @return boolean
     */
    public boolean deleteByMainId(String mainId);
    
    /**
     * 通过主表id查询子表数据
     *
     * @param mainId 主表id
     * @return List<OcrPictureNotes>
     */
    public List<OcrPictureNotes> selectByMainId(String mainId);
}
