package cn.jyjz.xiaoyao.ocr.service;

import java.util.List;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseService;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrSearchmanager;

/**
* 业务层
*/
public interface OcrSearchmanagerService extends BaseService<OcrSearchmanager>  {
    
    /**
     * 根据当前登录用户、租户主键查询个性化筛选
     *
     * @param loginadmin 当前登录账号
     * @param tenantId 当前租户逐渐
     * @return
     */
    public OcrSearchmanager queryByUserid(String loginadmin,String tenantId);
}
