package cn.jyjz.xiaoyao.ocr.service.impl;

import cn.jyjz.xiaoyao.ocr.dataDao.OcrConfigurationMybatisDao;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrConfiguration;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrSearchmanager;
import cn.jyjz.xiaoyao.ocr.service.OcrConfigurationService;
import cn.jyjz.xiaoyao.ocr.service.OcrSearchmanagerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class OcrConfigurationServiceImpl extends BaseServiceImpl<OcrConfigurationMybatisDao, OcrConfiguration>  implements OcrConfigurationService {
	@Resource
	private OcrConfigurationMybatisDao ocrconfigurationmybatisdao;
	@Resource
	private OcrSearchmanagerService ocrSearchmanagerService;
	/**
	 * 获取配置信息
	 * @return
	 */
	public OcrConfiguration getConfiguration(){
		List<OcrConfiguration> list = this.list();
		if(null != list && !list.isEmpty()){
			return list.get(0);
		}
		return null;
	}
	
	/**
	 * 获取配置信息，增加个性化配置
	 * @return
	 */
	public OcrConfiguration getConfiguration(String loginadmin,String tenantId){
		OcrConfiguration ocrConfiguration = this.getConfiguration();
		
//		OcrSearchmanager ocrSearchmanager = ocrSearchmanagerService.queryByUserid(loginadmin,tenantId);
//
//		if(null == ocrSearchmanager){
//			return ocrConfiguration;
//		}else{
//			ocrConfiguration.format(ocrSearchmanager);
//		}
		return ocrConfiguration;
	}
}
