package cn.jyjz.xiaoyao.ocr.service.impl;

import cn.jyjz.xiaoyao.common.base.vo.UserToken;
import cn.jyjz.xiaoyao.ocr.dataDao.OcrPackagetaskMybatisDao;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrPackagetask;
import cn.jyjz.xiaoyao.ocr.service.OcrPackagetaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;

import java.util.Date;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class OcrPackagetaskServiceImpl extends BaseServiceImpl<OcrPackagetaskMybatisDao, OcrPackagetask>  implements OcrPackagetaskService {
	@Autowired
	private OcrPackagetaskMybatisDao ocrpackagetaskmybatisdao;
	public OcrPackagetask create(String name, String tenantId, UserToken sysUser){
		OcrPackagetask ocrPackagetask = new OcrPackagetask();
		ocrPackagetask.setCreateBy(sysUser.getLoginname());
		ocrPackagetask.setCreateTime(System.currentTimeMillis());
		ocrPackagetask.setTenantId(Long.parseLong(tenantId));
		ocrPackagetask.setPackagename(name);
		return this.save(ocrPackagetask)?ocrPackagetask:null;
	}
}
