package cn.jyjz.xiaoyao.ocr.service.impl;

import cn.jyjz.xiaoyao.ocr.dataDao.OcrPictureNotesMybatisDao;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrPictureNotes;
import cn.jyjz.xiaoyao.ocr.service.OcrPictureNotesService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class OcrPictureNotesServiceImpl extends BaseServiceImpl<OcrPictureNotesMybatisDao, OcrPictureNotes>  implements OcrPictureNotesService {
	@Autowired
	private OcrPictureNotesMybatisDao ocrpicturenotesmybatisdao;
	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(String mainId){
		return ocrpicturenotesmybatisdao.deleteByMainId(mainId);
	}
	
	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<OcrPictureNotes>
	 */
	public List<OcrPictureNotes> selectByMainId(String mainId){
		return ocrpicturenotesmybatisdao.selectByMainId(mainId);
	}
}
