package cn.jyjz.xiaoyao.ocr.service.impl;

import cn.jyjz.xiaoyao.ocr.dataDao.OcrPictureclassMybatisDao;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrPictureclass;
import cn.jyjz.xiaoyao.ocr.service.OcrPictureclassService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class OcrPictureclassServiceImpl extends BaseServiceImpl<OcrPictureclassMybatisDao, OcrPictureclass>  implements OcrPictureclassService {
	@Autowired
	private OcrPictureclassMybatisDao ocrpictureclassmybatisdao;
	
	@Override
	public List<OcrPictureclass> queryListNoPage(QueryWrapper<OcrPictureclass> queryWrapper) {
		
		Long count = ocrpictureclassmybatisdao.selectCount(queryWrapper);
		
		Page<OcrPictureclass> page = new Page(1,count);
		page.setMaxLimit(count);
		
		IPage<OcrPictureclass> iPage = this.page(page,queryWrapper);
		return iPage.getRecords();
	}
}
