package cn.jyjz.flowable.delagte;

import com.alibaba.fastjson.JSONObject;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.JavaDelegate;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Map;

public class SendRejectionMail implements JavaDelegate {
    
    private Logger log = LoggerFactory.getLogger(SendRejectionMail.class);
    
    @Override
    public void execute(DelegateExecution execution) {
    
        Map<String, Object> variables = execution.getVariables();
        String eventName = execution.getEventName();
    
        log.info("eventName={},variables: {}", eventName,JSONObject.toJSONString(variables));
        System.out.println("请假没有批准，好好上班");

    }
}
