package cn.jyjz.flowable.domain;

import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * 表单对应的实体对象
 *
 */
@ToString
@Data
public class FlowForm {

    private String id;
    private String name;
    private String modelKey;
    private String description;
    private String modelComment;
    private String key; // 检索的关键字
    private Date created;
    private String createdBy;
    private String createdByName;  // 创建的用户
    private Date lastUpdated;
    private String lastUpdatedBy;
    private String lastUpdatedByName; // 更新的用户
    private Integer version;
    private String modelEditorJson;
    private Integer modelType; // 0 流程图  2 表单 3 应用
    private String tenantId;
}
