package cn.jyjz.flowable.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value="ocr_任务审批参数", description="ocr_任务审批参数")
@Data
public class FlowTaskVO {
    
    @ApiModelProperty(value = "任务ID")
    private String taskId; // 任务ID
    
    @ApiModelProperty(value = "是否同意，true：同意，false：拒绝")
    private Boolean approvd; // 审核状态  通过
    
    @ApiModelProperty(value = "备用")
    private Integer taskApprovd; // 条件值
    
    @ApiModelProperty(value = "审批意见")
    private String taskComment; // 审核意见
    
    @ApiModelProperty(value = "审批的任务主键")
    private String formid;//表单主键，对应各业务表id
    
    @ApiModelProperty(value = "备用")
    private String documentation;//表单是否存在二次表单提交，shownext作为标志
}
