package cn.jyjz.flowable.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "节点对象", title = "节点对象")
public class WorkFlowNodeVO {
    
    @ApiModelProperty(value = "节点主键")
    String nodeId;
    
    @ApiModelProperty(value = "节点名称")
    String nodeName;
}
