package cn.jyjz.flowable.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.sql.Blob;
import java.sql.Date;
import java.time.LocalDateTime;
@TableName("act_de_model")
public class DeModel implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private String id;
    
    private String name;
    
    private String modelKey;
    
    private String description;
    
    private String modelComment;
    
    private Date created;
    
    private String createdBy;
    
    /**
     * 表示该字段不存在于表结构中
     */
    @TableField(exist = false)
    private String createdByName;
    
    /**
     * 表单是否已经部署
     */
    @TableField(exist = false)
    private Boolean isDeploy;
    
    @TableField(exist = false)
    private String html;
    
    private Date lastUpdated;
    
    private String lastUpdatedBy;
    
    private Integer version;
    
    private String modelEditorJson;
    
    private Blob thumbnail;
    
    private Integer modelType;
    
    private String tenantId;
    
    public String getId() {
        return id;
    }
    
    public void setId(String id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    public String getModelKey() {
        return modelKey;
    }
    
    public void setModelKey(String modelKey) {
        this.modelKey = modelKey;
    }
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    public String getModelComment() {
        return modelComment;
    }
    
    public void setModelComment(String modelComment) {
        this.modelComment = modelComment;
    }
    public Date getCreated() {
        return created;
    }
    
    public String getCreatedByName() {
        return createdByName;
    }
    
    public void setCreatedByName(String createdByName) {
        this.createdByName = createdByName;
    }
    
    public void setCreated(Date created) {
        this.created = created;
    }
    public String getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }
    public Date getLastUpdated() {
        return lastUpdated;
    }
    
    public void setLastUpdated(Date lastUpdated) {
        this.lastUpdated = lastUpdated;
    }
    public String getLastUpdatedBy() {
        return lastUpdatedBy;
    }
    
    public void setLastUpdatedBy(String lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }
    public Integer getVersion() {
        return version;
    }
    
    public void setVersion(Integer version) {
        this.version = version;
    }
    public String getModelEditorJson() {
        return modelEditorJson;
    }
    
    public void setModelEditorJson(String modelEditorJson) {
        this.modelEditorJson = modelEditorJson;
    }
    public Blob getThumbnail() {
        return thumbnail;
    }
    
    public void setThumbnail(Blob thumbnail) {
        this.thumbnail = thumbnail;
    }
    public Integer getModelType() {
        return modelType;
    }
    
    public void setModelType(Integer modelType) {
        this.modelType = modelType;
    }
    public String getTenantId() {
        return tenantId;
    }
    
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
    
    public Boolean getIsDeploy() {
        return isDeploy;
    }
    
    public void setIsDeploy(Boolean isDeploy) {
        this.isDeploy = isDeploy;
    }
    
    public String getHtml() {
        return html;
    }
    
    public void setHtml(String html) {
        this.html = html;
    }
    
    @Override
    public String toString() {
        return "DeModel{" +
                "id=" + id +
                ", name=" + name +
                ", modelKey=" + modelKey +
                ", description=" + description +
                ", modelComment=" + modelComment +
                ", created=" + created +
                ", createdBy=" + createdBy +
                ", lastUpdated=" + lastUpdated +
                ", lastUpdatedBy=" + lastUpdatedBy +
                ", version=" + version +
                ", modelEditorJson=" + modelEditorJson +
                ", thumbnail=" + thumbnail +
                ", modelType=" + modelType +
                ", tenantId=" + tenantId +
                "}";
    }
}