package cn.jyjz.xiaoyao.oa.from.controller;

import java.io.IOException;
import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cn.jyjz.xiaoyao.oa.from.service.UserViewapproeService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;

import cn.jyjz.xiaoyao.admin.service.UserService;
import cn.jyjz.xiaoyao.common.base.service.UserTokenService;
import cn.jyjz.xiaoyao.common.base.controller.BaseController;
import cn.jyjz.xiaoyao.common.base.vo.ResultVo;
import cn.jyjz.xiaoyao.common.base.vo.ResultVoUtil;

@RestController
@RequestMapping("/backstage/jifen/oauserviewapproet")
public class UserViewapproeController extends BaseController{

	private Logger log = LoggerFactory.getLogger(this.getClass());

	@Resource
	private UserViewapproeService userViewapproeService;

	/**
	 *方法描述：通过主键获得对象信息
	 *创建人：mail.zhangyong@gmail.com
	 *创建时间：2023-12-06 15:24:51
	 **/
	@GetMapping("/remove/{fromid}")
	@ResponseBody
	public ResultVo getdateOaUserviewapproeT(HttpServletResponse response,HttpServletRequest request,@PathVariable("fromid") String fromid) throws IOException{
		
		if(this.userViewapproeService.removeByFromid(fromid)){
			return ResultVoUtil.success();
		}else{
			return ResultVoUtil.error();
		}
	}
	
	
}
