package cn.jyjz.xiaoyao.oa.from.dataDao;

import cn.jyjz.xiaoyao.oa.from.dataobject.Flowablecc;
import cn.jyjz.xiaoyao.oa.from.vo.FlowUnionVo;
import cn.jyjz.xiaoyao.oa.from.vo.UserDistionaryVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* 数据持久化
*/
@Mapper
public interface FlowableccMybatisDao extends BaseMapper<Flowablecc> {
    
    /**
     * 查询所有业务表集合
     * @param query
     * @return
     */
    public List<FlowUnionVo> listMyCc(Map<String, Object> query);
    
    /**
     * 查询所有业务表数量
     * @param query
     * @return
     */
    Long listMyCcCount(Map<String, Object> query);
    
    /**
     * 根据业务主键id，查询已经抄送的人员信息结婚
     * @param fromid
     * @return
     */
    List<UserDistionaryVo> selectUserByFromid(String fromid);
}
