package cn.jyjz.xiaoyao.oa.from.service;

import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseService;
import cn.jyjz.xiaoyao.oa.from.dataobject.Userapprove;

/**
* 业务层
*/
public interface UserapproveService extends BaseService<Userapprove>  {
    
    /**
     * 保存审批人员于业务表单的关联
     * @param userid 当前审批用户的主键
     * @param formid 业务表单主键
     * @return 成功返回true，否则返回false
     */
    public boolean save(String userid,String formid);
    
    /**
     * 删除审批人员于业务表单的关联
     * @param formid 业务表单主键
     * @return 成功返回true，否则返回false
     */
    public boolean delete(String formid);
}
