package cn.jyjz.xiaoyao.oa.from.service.impl;

import cn.jyjz.xiaoyao.oa.from.dataDao.UserFinalMybatisDao;
import cn.jyjz.xiaoyao.oa.from.dataobject.UserFinal;

import cn.jyjz.xiaoyao.oa.from.dataobject.Userapprove;
import cn.jyjz.xiaoyao.oa.from.service.UserFinalService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class UserFinalServiceImpl extends BaseServiceImpl<UserFinalMybatisDao, UserFinal>  implements UserFinalService {
	@Autowired
	private UserFinalMybatisDao userFinalMybatisDao;
	
	@Override
	public boolean save(String userid, String formid) {
		
		//判断是否存在重复表单主键
		QueryWrapper queryWrapper = new QueryWrapper();
		queryWrapper.eq("FORMID",formid);
		Long listcount = count(queryWrapper);
		if(listcount.intValue() > 0 ){
			return true;
		}
		
		UserFinal userFinal = new UserFinal();
		userFinal.setUserid(Long.parseLong(userid));
		userFinal.setFormid(Long.parseLong(formid));
		
		return this.save(userFinal);
	}
}
