package cn.jyjz.xiaoyao.ocr.service;

import java.util.List;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseService;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrUsersearch;

/**
* 业务层
*/
public interface OcrUsersearchService extends BaseService<OcrUsersearch>  {
    
    /**
     * 删除个人过滤数据，包含子表
     * @param ids
     * @return
     */
    public boolean removeByIds(String ids);
    
    /**
     * 删除个人过滤含子表
     * @param ids
     * @return
     */
    public boolean removeChildByIds(String ids);
    
    /**
     * 获取当前个人过滤的最大排序字段
     * @param userid
     * @return
     */
    public int getReorder(Long userid);
}
