package cn.jyjz.xiaoyao.ocr.service.impl;

import cn.jyjz.xiaoyao.ocr.dataDao.OcrPicturejobMybatisDao;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrPicturejob;
import cn.jyjz.xiaoyao.ocr.service.OcrPicturejobService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class OcrPicturejobServiceImpl extends BaseServiceImpl<OcrPicturejobMybatisDao, OcrPicturejob>  implements OcrPicturejobService {
	@Autowired
	private OcrPicturejobMybatisDao ocrpicturejobmybatisdao;
	
	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(String mainId){
		return ocrpicturejobmybatisdao.deleteByMainId(mainId);
	}
	
	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<OcrPicturejob>
	 */
	public List<OcrPicturejob> selectByMainId(String mainId){
		return ocrpicturejobmybatisdao.selectByMainId(mainId);
	}
}
