package cn.jyjz.xiaoyao.ocr.service.impl;

import cn.jyjz.xiaoyao.ocr.dataDao.OcrPicturetypeMybatisDao;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrPicturetype;
import cn.jyjz.xiaoyao.ocr.service.OcrPicturetypeService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class OcrPicturetypeServiceImpl extends BaseServiceImpl<OcrPicturetypeMybatisDao, OcrPicturetype>  implements OcrPicturetypeService {
	@Autowired
	private OcrPicturetypeMybatisDao ocrpicturetypemybatisdao;
	
	/**
	 * 查询所有数据，无分页
	 *
	 * @param queryWrapper
	 * @return List<OcrPicturetype>
	 */
	public List<OcrPicturetype> queryListNoPage(QueryWrapper<OcrPicturetype> queryWrapper){
		Long count = this.ocrpicturetypemybatisdao.selectCount(queryWrapper);
		
		Page<OcrPicturetype> page = new Page(1,count);
		page.setMaxLimit(count);
		
		IPage<OcrPicturetype> iPage = this.ocrpicturetypemybatisdao.selectPage(page,queryWrapper);
		
		return iPage.getRecords();
	}
}
