package cn.jyjz.xiaoyao.ocr.service.impl;

import cn.jyjz.xiaoyao.ocr.dataDao.OcrSearchmanagerMybatisDao;
import cn.jyjz.xiaoyao.ocr.dataobject.OcrSearchmanager;
import cn.jyjz.xiaoyao.ocr.service.OcrSearchmanagerService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.jyjz.xiaoyao.common.mybatisplus.base.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.List;
/**
* 业务层实现
*/
@Service
@Slf4j
public class OcrSearchmanagerServiceImpl extends BaseServiceImpl<OcrSearchmanagerMybatisDao, OcrSearchmanager>  implements OcrSearchmanagerService {
	@Autowired
	private OcrSearchmanagerMybatisDao ocrsearchmanagermybatisdao;
	
	public OcrSearchmanager queryByUserid(String loginadmin,String tenantId){
		QueryWrapper queryWrapper = new QueryWrapper();
		queryWrapper.eq("create_by",loginadmin);
		queryWrapper.eq("tenant_id",tenantId);
		OcrSearchmanager ocrSearchmanager = null;
		List<OcrSearchmanager> list =  this.list(queryWrapper);
		
		if(null != list && !list.isEmpty()) {
			ocrSearchmanager = list.get(0);
		}
		
		return ocrSearchmanager;
	}
}
