package cn.jyjz.xiaoyao.ocr.util;

public enum SearchEnum {
    ONEWEEK(21,"一周内"),
    TWOWEEK(22,"两周内"),
    THREEWEEK(23,"三周内"),
    FOURWEEK(24,"四周内"),
    ONEMOUTH(1,"近一个月"),
    TWOMOUTH(2,"近二个月"),
    THREEMOUTH(3,"近三个月"),
    FOURMOUTH(4,"近四个月"),
    FIVEMOUTH(5,"近五个月"),
    SIXMOUTH(6,"近六个月"),
    
    SEVENMOUTH(7,"近七个月"),
    EIGHTMOUTH(8,"近八个月"),
    NINEMOUTH(9,"近九个月"),
    TENMOUTH(10,"近十个月"),
    
    ELEVENMOUTH(11,"近十一个月"),
    TWELVEMOUTH(12,"近十二个月");
    // 成员变量
    private int id;
    private String meaning;
    
    SearchEnum(int id,String meaning) {
        this.id = id;
        this.meaning = meaning;
    }
    public static String getName(int index) {
        for (SearchEnum c : SearchEnum.values()) {
            if (c.getId() == index) {
                return c.meaning;
            }
        }
        return null;
    }
    
    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public String getMeaning() {
        return meaning;
    }
    
    public void setMeaning(String meaning) {
        this.meaning = meaning;
    }
}
