//package cn.jyjz.xiaoyao.ocr.util.httputil;
//
//import org.apache.commons.httpclient.HttpConnectionManager;
//import org.apache.commons.httpclient.MultiThreadedHttpConnectionManager;
//import org.apache.commons.httpclient.util.IdleConnectionTimeoutThread;
//public class HttpProtocolHandler {
//
//    private static String              DEFAULT_CHARSET                     = "GBK";
//
//    /** 连接超时时间，由bean factory设置，缺省为8秒钟 */
//    private int                        defaultConnectionTimeout            = 8000;
//
//    /** 回应超时时间, 由bean factory设置，缺省为30秒钟 */
//    private int                        defaultSoTimeout                    = 30000;
//
//    /** 闲置连接超时时间, 由bean factory设置，缺省为60秒钟 */
//    private int                        defaultIdleConnTimeout              = 60000;
//
//    private int                        defaultMaxConnPerHost               = 30;
//
//    private int                        defaultMaxTotalConn                 = 80;
//
//    /** 默认等待HttpConnectionManager返回连接超时（只有在达到最大连接数时起作用）：1秒*/
//    private static final long          defaultHttpConnectionManagerTimeout = 3 * 1000;
//
//    /**
//     * HTTP连接管理器，该连接管理器必须是线程安全的.
//     */
//    private HttpConnectionManager      connectionManager;
//
//    private static HttpProtocolHandler httpProtocolHandler                 = new HttpProtocolHandler();
//
//    /**
//     * 工厂方法
//     *
//     * @return
//     */
//    public static HttpProtocolHandler getInstance() {
//        return httpProtocolHandler;
//    }
//    /**
//     * 私有的构造方法
//     */
//    private HttpProtocolHandler() {
//        // 创建一个线程安全的HTTP连接池
//        connectionManager = new MultiThreadedHttpConnectionManager();
//        connectionManager.getParams().setDefaultMaxConnectionsPerHost(defaultMaxConnPerHost);
//        connectionManager.getParams().setMaxTotalConnections(defaultMaxTotalConn);
//
//        IdleConnectionTimeoutThread ict = new IdleConnectionTimeoutThread();
//        ict.addConnectionManager(connectionManager);
//        ict.setConnectionTimeout(defaultIdleConnTimeout);
//
//        ict.start();
//    }
//}
